# 
# old_revision [c61fb5f500d6afc596a37cbc73857f62bdea3a7b]
# 
# add_file "packages/mono/files/genmdesc-cpp.patch"
#  content [d0f79014a52fe58cdfe83ce842232de945c55860]
# 
# patch "packages/mono/mono_1.2.5.1.bb"
#  from [ceb79f751a12f133987e6320828c7006ae9ab549]
#    to [be8f0f7903f7dd49e23fcda794b122607da10add]
# 
============================================================
--- packages/mono/files/genmdesc-cpp.patch	d0f79014a52fe58cdfe83ce842232de945c55860
+++ packages/mono/files/genmdesc-cpp.patch	d0f79014a52fe58cdfe83ce842232de945c55860
@@ -0,0 +1,22 @@
+--- mono-1.2.5.1/mono/mini/genmdesc.pl.orig	2007-10-03 21:02:07.000000000 +0200
++++ mono-1.2.5.1/mono/mini/genmdesc.pl	2007-10-03 21:06:16.000000000 +0200
+@@ -36,7 +36,9 @@
+ 		$i++;
+ 	}
+ 	close (OPS);
+-	my $cpp = "cpp -undef ";
++	my $cpp = $ENV{"CPP"};
++	$cpp = "cpp" unless defined $cpp;
++	$cpp .= " -undef ";
+ 	foreach (@defines) {
+ 		$cpp .= " -U$_";
+ 		$arch_found = 1 if $arch eq $_;
+@@ -44,7 +46,7 @@
+ 	die "$arch arch is not supported.\n" unless $arch_found;
+ 
+ 	$cpp .= " -D$arch $srcdir/mini-ops.h|";
+-	#print "Running: $cpp\n";
++	print "Running: $cpp\n";
+ 	open (OPS, $cpp) || die "Cannot execute cpp: $!";
+ 	while (<OPS>) {
+ 		next unless /MINI_OP\s*\(\s*(\S+?)\s*,\s*"(.*?)"/;
============================================================
--- packages/mono/mono_1.2.5.1.bb	ceb79f751a12f133987e6320828c7006ae9ab549
+++ packages/mono/mono_1.2.5.1.bb	be8f0f7903f7dd49e23fcda794b122607da10add
@@ -1,10 +1,11 @@ PR = "r2"
 require mono_1.2.5.inc
 
 DEPENDS = "mono-native mono-mcs-intermediate glib-2.0 perl-native"
 
 PR = "r2"
 
-SRC_URI += "file://configure.patch;patch=1"
+SRC_URI += "file://configure.patch;patch=1 \
+	file://genmdesc-cpp.patch;patch=1"
 
 # Per http://www.mono-project.com/Mono:ARM
 EXTRA_OECONF += " --disable-mcs-build "
